Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.table
Enum OdfLayoutModeType

    java.lang.Object
      java.lang.Enum<OdfLayoutModeType>
          org.odftoolkit.odfdom.dom.type.table.OdfLayoutModeType

All Implemented Interfaces:
  Serializable, Comparable<OdfLayoutModeType>

    public enum OdfLayoutModeType

extends Enum<OdfLayoutModeType>

DOM implementation of OpenDocument attribute table:layout-mode.

Enum Constant Summary
`OUTLINE_SUBTOTALS_BOTTOM`
`OUTLINE_SUBTOTALS_TOP`
`TABULAR_LAYOUT`

Method Summary
`static OdfLayoutModeType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfLayoutModeType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfLayoutModeType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfLayoutModeType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### OUTLINE_SUBTOTALS_BOTTOM

    public static final OdfLayoutModeType OUTLINE_SUBTOTALS_BOTTOM

### OUTLINE_SUBTOTALS_TOP

    public static final OdfLayoutModeType OUTLINE_SUBTOTALS_TOP

### TABULAR_LAYOUT

    public static final OdfLayoutModeType TABULAR_LAYOUT

Method Detail

### values

    public static OdfLayoutModeType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfLayoutModeType c : OdfLayoutModeType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfLayoutModeType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfLayoutModeType>`
  Returns:
    return the name of OdfLayoutModeType

### toString

    public static String toString(OdfLayoutModeType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfLayoutModeType, see table:layout-mode
  Returns:
    return the name of OdfLayoutModeType

### enumValueOf

    public static OdfLayoutModeType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfLayoutModeType
  Returns:
    return the constant of OdfLayoutModeType, see table:layout-mode

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.